Skip to main content
GET
/
v1beta
/
tasks
List all tasks
curl --request GET \
  --url https://api.indices.io/v1beta/tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "current_state": "not_ready",
    "display_name": "<string>",
    "task": "<string>",
    "website": "<string>",
    "input_schema": "<string>",
    "output_schema": "<string>",
    "creation": {
      "auto_generate_schemas": true,
      "secrets": [
        {
          "secret_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "description": "<string>"
        }
      ],
      "secret_bindings": {}
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "required_secrets": [
      {
        "name": "<string>",
        "type": "login",
        "requires_totp": false
      }
    ],
    "failure_info": {
      "category": "<string>",
      "message": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Enter your API key as the bearer token. Set header: Authorization to Bearer <api_key>

Response

200 - application/json

Successful response

id
string<uuid>
required

Unique identifier for the object.

current_state
enum<string>
required

Current state of the task, in particular whether it is ready to use.

Available options:
not_ready,
waiting_for_manual_completion,
ready,
failed
display_name
string
required

Short title shown in the dashboard. Informational only.

task
string
required

Detailed explanation of the task to be performed.

website
string<uri>
required

The website to perform the task on.

Required string length: 1 - 2083
input_schema
string | null
required

Task input schema as a JSON schema string. May be null while the task is not ready (e.g. schema generation in progress). Guaranteed non-null when current_state is ready.

output_schema
string | null
required

Task output schema as a JSON schema string. May be null while the task is not ready (e.g. schema generation in progress). Guaranteed non-null when current_state is ready.

creation
TaskCreation · object
required

Parameters set during the creation of this task.

created_at
string<date-time>
required

Timestamp when the object was created.

updated_at
string<date-time>
required

Timestamp when the object was last updated.

required_secrets
SecretSlotDefinition · object[]

List of secrets that must be provided when running this task.

failure_info
TaskFailureInfo · object

Failure information if the task failed, including user-friendly explanation and suggestions